* {
    box-sizing: border-box;
}
body {
    padding: 0;
    margin: 0;
    background-color: bisque;
    color:#000814;
    font-family: 'Roboto', sans-serif;
}

button, input[type="button"], input[type="submit"] {
    -webkit-appearance: none;  /* Remove iOS default styles */
    border-radius: 0;           /* Remove default rounded corners */
    border: 1px solid #000;     /* Add your own border if needed */
    background: #fff;           /* Set your own background */
    color: #000;                /* Set your own text color */
    padding: 0.5em 1em;         /* Adjust padding */
    font: inherit;              /* Use your page font */
}

.unselectable {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;    
}

footer,
header {
    width: 100%;
    max-width: 1240px;
    padding: 15px;
    margin: 0 auto;    
    display: flex;
}

footer {
    font-size: 14px;
    margin-bottom: 30px;
}

div#langPicker { 
    margin-left: auto;
    gap: 10px;
    display: flex;
}

img.avatar {
    border-radius: 50%;
}

/* .games-menu-wrapper {
    display: flex;
    gap: 50px;
    justify-content: center;
} */

.games-menu-wrapper div {
    display: flex;
    gap: 8px;
    align-items: center;
}

span.game-title {
    margin-right: 12px;
}



/* nav span {
    cursor: pointer;
    background-color: black;
    color: white;
    padding: 6px 12px;
    border-radius: 5px;
} */

span.game-starter {
    cursor: pointer;
    width: 40px;
    height: 40px;    
}

.hidden {
    display: none !important;
}

a {
    color:#000814;
}

nav {
    display: flex;
    gap: 10px;
    align-items: center;

}

section#Games,
section#Settings,
section#Output {
    width: 100%;
    /* max-width: 1240px; */
    max-width: 400px;
    padding: 15px;
    margin: 0px auto;
    height: auto;
    /* min-height: 300px; */
    /* border: 1px solid; */
    display: flex;
    flex-flow: column;
    position: relative;
}

section#Settings div.settingsController {
    position: absolute;
    right: 20px;
    top: 20px;
    cursor: pointer;
}

div.settings-container,
div.game-container,
div#board {
    max-width: 400px;
    min-width: 280px;
    margin: auto;
    text-align: center;
}

span.play-again {
    display: block;
    padding: 10px;
    width: 100%;
    margin: 10px 0;
    cursor: pointer;
    background: black;
    color: white;
}

.steps { 
    display: flex;
    margin: 10px auto;
    gap: 10px;
    width: fit-content;
}
.step {
    width: 40px;
    height: 8px;
    background: #ddd;
    border-radius: 4px;
}
.step.active {
    /* background: #4caf50; */
    background-color: #34a0a4;
}

div.settings-container {
    display: grid;
    gap:0;
    font-size: 14px;
}

.settingsController{
    font-size: 14px;
    margin-top: 30px;
    text-align: center;
}

div.settings-container h2 {
    margin: 40px auto 0 auto;
}

div.settings-container .setting {
    margin-top: 20px;
}


div#gameResponse p,
div#settingsResponse p {
    background: white;
    color: #000814;
    padding: 20px;
    border-radius: 6px;    
}

.setting label { cursor: pointer;}

div.game-container input,
div#board input {
    padding: 10px;
    width: 100%;
    font-size: 16px;
    display: block;
    text-transform: uppercase;
    margin: 20px 0;
}

div.game-container button,
div#board button {
    padding: 10px;
    width: 100%;
    margin: 10px 0;
    cursor: pointer;
}




.row { margin: 6px 0; }
.letter {
display: inline-block;
width: 42px;
height: 42px;
line-height: 42px;
margin: 2px;
border: 1px solid #999;
font-size: 22px;
font-weight: bold;
text-transform: uppercase;
}
.correct { background: #6aaa64; color: white; }
.present { background: #c9b458; color: white; }
.absent { background: #787c7e; color: white; }


.login-fields form,
.profile-fields form {
    display: grid;
    gap: 20px;
    margin: 30px 0;
}

.profile-meta {
    position: relative;
}



a.gameslink,
.login-fields form button,
.profile-fields form button {
    background-color: #000814;
    color: white;
    border: 0;
    padding: 10px;
    cursor: pointer;
}

a.gameslink {
    text-decoration: none;
    text-align: center;
    background-color: #34a0a4;
}

span#toggleAvatar {
    cursor: pointer;
    background: white;
    color: #000814;
    padding: 7px;
    border-radius: 50%;
    width: 30px;
    display: block;
    height: 30px;    
    position: absolute;
    left: 60px;
    top: 50px;
}

.login-field,
.profile-field {
    display: grid;
}
.login-field label,
.profile-field label {
    cursor: pointer;
    margin-bottom: 4px;
}
.login-field input,
.profile-field input {
    font-size: 16px;
    padding: 10px;
}

.game-list-wrapper {
    display: grid;
    gap: 20px;
    align-items: center;
}

.user-info-wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: space-between;
    align-items: center;    
    flex-flow: row wrap;
}

.user-info-wrapper a {
    margin-left: auto;
}
.user-info-wrapper p {
    width: max-content;
    display: inline-block;
    grid-column: 1/-1;
}

.user-info-wrapper p.user-poking{
    background: white;
    color: #000814;
    padding: 20px;
    border-radius: 6px;        
    width: max-content;
    display: inline-block;
    margin-top: 0;
    grid-column: 1/-1;
}


.game-item {
    display: flex;
    align-items: center;
    gap: 50px;
    background-color: white;
    border-radius: 10px;
    cursor: pointer;
}

.game-item img {
    width: 60px;
}

.game-item h3 {
    margin: 0;
}